## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Loop between geopandas and pyogrio.
%bcond bootstrap 0

%global srcname pyogrio

Name:           python-%{srcname}
Version:        0.10.0
Release:        %autorelease
Summary:        Vectorized spatial vector file format I/O using GDAL/OGR

# Main license: MIT
# arrow_bridge.h: Apache-2.0
# For test data, see `pyogrio/tests/fixtures/README.md`: Public Domain and ODbl-1.0
# Note, public domain comes from a subset of `natural-earth-map-data`, so inherits its exception.
License:        MIT AND Apache-2.0 AND LicenseRef-Fedora-Public-Domain AND ODbl-1.0
URL:            https://github.com/geopandas/pyogrio
Source:         %pypi_source %{srcname}
# Some Fedora-specific things
Patch:          0001-Drop-extra-dependencies.patch
# https://github.com/geopandas/pyogrio/pull/497
Patch:          0002-Fix-WKB-writing-on-big-endian-systems.patch
# Fix compatibility with GDAL 3.10
Patch:          https://github.com/geopandas/pyogrio/pull/489.patch

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  python3-devel
BuildRequires:  gcc
BuildRequires:  gdal-devel >= 2.4.0
# For testing only.
BuildRequires:  python3dist(pyarrow)

%global _description %{expand:
Pyogrio provides a GeoPandas-oriented API to OGR vector data sources, such as
ESRI Shapefile, GeoPackage, and GeoJSON. Vector data sources have geometries,
such as points, lines, or polygons, and associated records with potentially
many columns worth of data.}

%description %{_description}

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x dev,test%{?!without_bootstrap:,geopandas}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l %{srcname}

%check
mkdir empty
cd empty
%pytest --pyargs %{srcname} -m "not network" -ra

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Wed Nov 27 2024 Richard W.M. Jones <rjones@redhat.com> - 0.10.0-3
- Rebuild for libarrow 18

* Sun Nov 17 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.10.0-2
- Fix code on big-endian systems

* Sun Nov 17 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.10.0-1
- Update to latest version

* Sun Nov 17 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.9.0-3
- Add Packit configuration

* Tue Aug 20 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.9.0-2
- Exclude i686 from builds

* Tue Aug 20 2024 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.9.0-1
- import rhbz#2294379
## END: Generated by rpmautospec
